import sys

from distutils.core import setup

# patch distutils if it can't cope with the "classifiers" or
# "download_url" keywords
if sys.version < '2.2.3':
    from distutils.dist import DistributionMetadata
    DistributionMetadata.classifiers = None
    DistributionMetadata.download_url = None

setup(
    name='modpython-openid',
    version='1.99.0',
    description='OpenID access control for mod_python enabled Apache servers.',
    long_description='''\
This is a simple library that allows you to add OpenID-based access
control to any resource on your Apache Web server through
configuration alone. It uses the OpenID decentralized identity system.''',
    url='http://www.openidenabled.com/openid/enabled/',
    packages=['openid-extensions'],
    py_modules=['mpopenid'],
    license='http://www.gnu.org/licenses/gpl.txt',
    author='Canonical, JanRain',
    author_email='openid@canonical.com, openid@janrain.com',
    download_url="http://www.openidenabled.com/enabled/modpython-access/modpython-openid-1.0.0-tar.gz/download",
    classifiers=[
    "Development Status :: 4 - Beta",
    "Environment :: Web Environment",
    "Intended Audience :: Other Audience",
    "License :: OSI Approved :: GNU General Public License (GPL)",
    "Operating System :: POSIX",
    "Programming Language :: Python",
    "Topic :: Internet :: WWW/HTTP",
    "Topic :: Software Development :: Libraries :: Python Modules",
    "Topic :: System :: Systems Administration :: Authentication/Directory",
    ],
    )
